Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009074Dwarf FortressDwarf Mode -- Thoughts and Preferencespublic2015-09-24 14:562017-11-20 01:37
ReporterGlamis1040 
Assigned ToLoci 
PriorityhighSeveritymajorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformPCOSMicrosoft WindowsOS Version8
Product Version0.40.24 
Target VersionFixed in Version 
Summary0009074: Dwarves are permanently 'fine' and never experience mental deterioration (except Strange Moods).
DescriptionMy dwarves are in a permanent state of being 'fine', irrespective of how unpleasant conditions are. They never tantrum or become upset except via a Strange Mood. I have uninstalled and reinstalled the game several times and have used two different downloads but the problem persists.
Steps To ReproduceIt happens in every single game I set up, in vanilla or via LNP, and in every new world I generate.
Additional InformationThis severely diminishes the challenge of the game and removes one of its most appealing elements, namely, the task of managing the vicissitudes of the dorfy mind.
Tagshappiness, stress
Attached Files

- Relationships
has duplicate 0009660resolvedLoci Happiness/stress balancing issues 

-  Notes
(0033061)
lethosor (manager)
2015-09-24 16:14

Are you determining this in-game or through a utility (like DT)?
(0033062)
Glamis1040 (reporter)
2015-09-24 16:31

Both - DT always has them as 'fine' and no matter what torments I put them through in-game, they never throw tantrums or show any signs of distress.
(0034847)
chaosvolt (reporter)
2016-03-14 10:21

I can confirm the everloving shit out of stress being broken.

As of late, I've been...essentially stress-testing the stress mechanic itself, and so far I've had ample evidence to suggest that your average dwarf, or at least the starting seven, are immune to stressors to an extent that would drive dwarves insane in older versions.

To sum it up: No booze. No well. No beds. No dining furniture. No family. No tavern. No temple. Nothing interesting to do. NO CLOTHES. One of them has has an unfortunate accident and is busy rotting away on the floor in the meeting area.

And not once have they dipped into stressed, let alone started throwing tantrums or going insane.
(0034853)
Shonai_Dweller (reporter)
2016-03-14 20:24

Would point out that the bug was reported for version 40.24. The version where everyone was having trouble with stressed out dorfs after seeing goblin bits strewn around after sieges. Stress was definitely happening back then. Are you saying it's newly broken in 42.06?
(0034855)
chaosvolt (reporter)
2016-03-14 22:25
edited on: 2016-03-14 22:26

Ah right. Not sure if we should count this as a continuation of the old bug, or a glorious new one. But they own efforts thus far suggest that yes, the issue occurs in glorious new form in .42.06. The efforts to drive the starting seven batty are mentioned mostly on the "what's going on in your fort" thread, this post in particular ( http://www.bay12forums.com/smf/index.php?topic=15096.msg6872170#msg6872170 [^] ) being where I more or less confirm my suspicions that something is not working as intended, additionally providing a screenshot that adequately highlights how much abuse is presently being shrugged off.

(0034857)
Shonai_Dweller (reporter)
2016-03-15 15:39

What does DFhack manipulator rate their stress levels at? Are they increasing? It's no longer as simple as unhappy thoughts=insanity no matter how outrageous their thoughts page looks.
(0034869)
chaosvolt (reporter)
2016-03-17 22:59

Hnng. I still have yet to mess with DFHack. ._.
(0034870)
Shonai_Dweller (reporter)
2016-03-18 04:10

Do you have a save uploaded anywhere? I think I have a Dfhack lying around here someplace. Would be better for this bug report to have actual statistics rather than 'they're not all insane yet!'
(0034871)
chaosvolt (reporter)
2016-03-18 12:51
edited on: 2016-03-18 13:37

I might have to start a fortress from scratch to do so, actually. @_@

EDIT: Ahah! First I was having some issues with the laptop, then I had to sift through my recycle bin because I'd given up on driving anyone insane but hadn't cleared the recycle bin in a while. Will upload shortly.

EDIT 2: Save is up. http://dffd.bay12games.com/file.php?id=11868 [^]

(0034908)
chaosvolt (reporter)
2016-03-23 01:51

From what I've heard, apparently it's possible that stress may simply require time to brew before it even makes

Anyone examined the save in DFHack? Still not sure if this is a genuine bug with happiness/stress failing to be updated correctly, or if it's working fine and merely a happiness system that's over-compensated for how finicky dwarves used to be.
(0034909)
Shonai_Dweller (reporter)
2016-03-23 06:25
edited on: 2016-03-23 06:30

Everyone has fairly high stress in the save. Not in the danger zone yet though. Highest is 50233, seems to be raising by about 1000 a day (Dfhack manipulator).

Is stress towards the beginning of the game limited perhaps, to avoid everyone getting stressed from sleeping on the floor and the lack of beds/mugs/chairs?

(0034920)
chaosvolt (reporter)
2016-03-25 14:37

I see. Are they at least below the point where it should be displaying the red arrow status icon?

If they're below the point where it should be visible, then this is merely a balancing issue than a genuine bug.
(0034925)
Shonai_Dweller (reporter)
2016-03-26 16:26

Yeah. Give them a couple of years or so at this rate and they should be all in the danger zone (if they survive). Stress is visibly increasing.
(0034927)
chaosvolt (reporter)
2016-03-26 19:21

Given just HOW MUCH crap I put them through, I would assume that any other fort would have more than enough positive thoughts to mitigate this entirely.

Can effectively close this I assume, since the problem at hand is a balancing issue unrelated to the bug as originally reported.
(0035486)
TheCrazyHamsteR (reporter)
2016-06-26 13:18

In v0.43.03 stress works as normal.
(0035487)
thvaz (reporter)
2016-06-26 13:47

I had some dwarves depressed or angry. I think it is working as intended. Granted, it is easier to manage than older versions, but in older versions a tantrum espiral was almost certain the end of a fortress.
(0035491)
chaosvolt (reporter)
2016-06-26 22:57

Not quite. Thing is, this issue has been supplanted by a different one (once stress was proven to work at ALL): http://www.bay12games.com/dwarves/mantisbt/view.php?id=9660 [^]
(0035492)
chaosvolt (reporter)
2016-06-26 23:18

And to repeat: it took a year and a half of a deliberately-engineered "hell on earth" fortress, with no unhappiness observed. Apparently massive trauma can induce this a lot faster, but it still took DFHack to confirm this bug was actually resolved, and that it was just a balance issue.
(0036858)
Loci (manager)
2017-11-11 15:42

v0.42.06: chaosvolt posted further research and a save in 0009660:

http://dffd.bay12games.com/file.php?id=11868 [^]
(0036867)
chaosvolt (reporter)
2017-11-13 14:35

This needs a rename and a description change if you're gonna close the issue that ACTUALLY summarizes what's ACTUALLY wrong with how stress is handled.

This issue refers to obsolete game mechanics, mine did not. At least fix the name and description.
(0036868)
Loci (manager)
2017-11-13 15:36
edited on: 2017-11-13 15:36

@chaosvolt:

What "obsolete game mechanics" are you referring to? The happiness->stress overhaul occurred in v0.40.14, so reported problems with the stress system in v0.40.24 are very likely the same in v0.42.06.

The current summary describes the impact experienced by players, not a guess at the ultimate cause, which is at least as good and in my opinion preferable since it doesn't hinge upon the reporter understanding how the game is coded.

(0036870)
Urlance Woolsbane (reporter)
2017-11-13 16:59

Might this have something to do with the changes to alcohol? I know they were making dwarves inordinately courageous.
(0036871)
chaosvolt (reporter)
2017-11-13 18:40

@Loci:

Correct terminology helps with keeping discussion on-topic and investigating/discussing the causes. See the earlier moral/morale fuckery in http://www.bay12games.com/dwarves/mantisbt/view.php?id=7161 [^]

In addition, issue description is EXTREMELY sub-par and does not actually describe the problem in an accurate manner, especially now that more information has come to light. My issue contained the relevant information up-front.

Correct terminology would that stress buildup is poorly-balanced, such that dwarves rarely reach the point of displaying the "stressed" marker, let alone act out. Even in intentionally tortuous conditions stress does not reach visible levels until multiple years.

The fact that stress is even a thing AT ALL anymore is also not hinted at in this issue or it's description, which is made worse by the fact that most players may assume this due to lack of in-game evidence, vbarring long-running forts that eventually develop the Resident Unhappy Asshole.

In fact it says they are PERMANENTLY "fine" when this is patently untrue. Not only is stress confirmed to be slow rather than non-functional, even in normal forts there's often a lone dwarf who gets chronically-stressed because they display neutral reactions to every easily-acquired amenity (the primary cause of RUAs).
(0036875)
FantasticDorf (reporter)
2017-11-14 07:36

Pernamently fine or atleast personality altered dwarves can be seen in issue 0009812 (42.05) where extended periods of time are spent with unusual behavioural changes after being exposed to alcohol then withdrawn from it. Similar to Chaosvolt's luxury & comfort deprived test fortresses.

[PERSONALITY:STRESS_VULNERABILITY:0:45:100] which should be seen to prompt the stressed state in response to negative stimuli is also uniquely present on dwarves but it appears like chaosvolt describes that only certain individuals ever seem to reach this state.
(0036898)
chaosvolt (reporter)
2017-11-20 01:37

And now to repeat something I had to state in the up-to-date issue:

"But yeah, even if you made a torture fort without alcohol (and why the hell wouldn't you), stress buildup is insanely slow. If this bug is accurate than it likely worsens the poor balancing but isn't the cause on its own."

Translation: http://www.bay12games.com/dwarves/mantisbt/view.php?id=9812 [^] only magnifies the problem, stress is unbalanced even if your fortress is and has been 100% alcohol free.

- Issue History
Date Modified Username Field Change
2015-09-24 14:56 Glamis1040 New Issue
2015-09-24 16:14 lethosor Note Added: 0033061
2015-09-24 16:31 Glamis1040 Note Added: 0033062
2016-03-14 10:21 chaosvolt Note Added: 0034847
2016-03-14 10:22 chaosvolt Tag Attached: happiness
2016-03-14 10:22 chaosvolt Tag Attached: stress
2016-03-14 10:26 chaosvolt Issue Monitored: chaosvolt
2016-03-14 20:24 Shonai_Dweller Note Added: 0034853
2016-03-14 22:25 chaosvolt Note Added: 0034855
2016-03-14 22:26 chaosvolt Note Edited: 0034855 View Revisions
2016-03-15 15:39 Shonai_Dweller Note Added: 0034857
2016-03-17 22:59 chaosvolt Note Added: 0034869
2016-03-18 04:10 Shonai_Dweller Note Added: 0034870
2016-03-18 12:51 chaosvolt Note Added: 0034871
2016-03-18 13:25 chaosvolt Note Edited: 0034871 View Revisions
2016-03-18 13:37 chaosvolt Note Edited: 0034871 View Revisions
2016-03-23 01:51 chaosvolt Note Added: 0034908
2016-03-23 06:25 Shonai_Dweller Note Added: 0034909
2016-03-23 06:30 Shonai_Dweller Note Edited: 0034909 View Revisions
2016-03-25 14:37 chaosvolt Note Added: 0034920
2016-03-26 16:26 Shonai_Dweller Note Added: 0034925
2016-03-26 19:21 chaosvolt Note Added: 0034927
2016-06-26 12:49 chaosvolt Tag Attached: CLOSE THIS
2016-06-26 13:18 TheCrazyHamsteR Note Added: 0035486
2016-06-26 13:47 thvaz Note Added: 0035487
2016-06-26 22:57 chaosvolt Note Added: 0035491
2016-06-26 23:18 chaosvolt Note Added: 0035492
2016-07-11 10:40 chaosvolt Tag Attached: RESOLVED
2017-11-11 15:40 Loci Relationship added has duplicate 0009660
2017-11-11 15:40 Loci Tag Detached: CLOSE THIS
2017-11-11 15:41 Loci Tag Detached: RESOLVED
2017-11-11 15:42 Loci Note Added: 0036858
2017-11-11 15:43 Loci Assigned To => Loci
2017-11-11 15:43 Loci Status new => confirmed
2017-11-13 14:35 chaosvolt Note Added: 0036867
2017-11-13 15:36 Loci Note Added: 0036868
2017-11-13 15:36 Loci Note Edited: 0036868 View Revisions
2017-11-13 16:59 Urlance Woolsbane Note Added: 0036870
2017-11-13 18:40 chaosvolt Note Added: 0036871
2017-11-14 07:36 FantasticDorf Note Added: 0036875
2017-11-20 01:37 chaosvolt Note Added: 0036898


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker